### Method

# Ide BuildTarget get_language

#### Declaration

    gchar*
    ide_build_target_get_language (
      IdeBuildTarget* self
    )

#### Description

Return the main programming language that was used to write this build target.

This method is primarily used to choose an appropriate debugger. Therefore, if a build target is composed of components in multiple language (eg. a GJS app with GObject Introspection libraries, or a Java app with JNI libraries), this should return the language that is most likely to be appropriate for debugging.

The default implementation returns “asm”, which indicates an unspecified language that compiles to native code.

Available since: | 3.32

#### Return value

Returns: | `gchar*`
| The programming language of this target.
| The caller of the method takes ownership of the data, and is responsible for freeing it.
| The value is a NUL terminated UTF-8 string.